| Digital Power Starter Kit 3 Firmware dsPIC33C Boost Converter Voltage Mode Control Example |

Data Fields
P33C_CRC_MODULE_s Struct Reference

`#include <common/p33c_pral/p33c_crc.h>`

Collaboration diagram for P33C_CRC_MODULE_s:

## Data Fields
union {
volatile struct tagCRCCONLBITS bits
volatile uint16_t value
} | CrcConl
union {
volatile struct tagCRCCONHBITS bits
volatile uint16_t value
} | CrcConh
union {
struct {
uint16_t CRCXORL: 16
} bits
uint16_t value
} | CrcXorl
union {
struct {
uint16_t CRCXORH: 16
} bits
uint16_t value
} | CrcXorh
union {
struct {
uint16_t CRCDATL: 16
} bits
uint16_t value
} | CrcDatl
union {
struct {
uint16_t CRCDATH: 16
} bits
uint16_t value
} | CrcDath
union {
struct {
uint16_t CRCWDATL: 16
} bits
uint16_t value
} | CrcWdatl
union {
struct {
uint16_t CRCWDATH: 16
} bits
uint16_t value
} | CrcWdath

## Detailed Description

Definition at line 61 of file p33c_crc.h.

## Field Documentation

## ◆ bits [1/8]

volatile struct tagCRCCONHBITS bits

Definition at line 67 of file p33c_crc.h.

## ◆ bits [2/8]

struct { ... } bits

## ◆ bits [3/8]

struct { ... } bits

## ◆ bits [4/8]

struct { ... } bits

## ◆ bits [5/8]

struct { ... } bits

## ◆ bits [6/8]

struct { ... } bits

## ◆ bits [7/8]

struct { ... } bits

## ◆ bits [8/8]

volatile struct tagCRCCONLBITS bits

Definition at line 63 of file p33c_crc.h.

## ◆ CrcConh

union { ... } CrcConh

## ◆ CrcConl

union { ... } CrcConl

## ◆ CRCDATH

uint16_t CRCDATH

Definition at line 90 of file p33c_crc.h.

## ◆ CrcDath

union { ... } CrcDath

## ◆ CRCDATL

uint16_t CRCDATL

Definition at line 84 of file p33c_crc.h.

## ◆ CrcDatl

union { ... } CrcDatl

## ◆ CRCWDATH

uint16_t CRCWDATH

Definition at line 102 of file p33c_crc.h.

## ◆ CrcWdath

union { ... } CrcWdath

## ◆ CRCWDATL

uint16_t CRCWDATL

Definition at line 96 of file p33c_crc.h.

## ◆ CrcWdatl

union { ... } CrcWdatl

## ◆ CRCXORH

uint16_t CRCXORH

Definition at line 78 of file p33c_crc.h.

## ◆ CrcXorh

union { ... } CrcXorh

## ◆ CRCXORL

uint16_t CRCXORL

Definition at line 72 of file p33c_crc.h.

## ◆ CrcXorl

union { ... } CrcXorl

## ◆ value [1/2]

volatile uint16_t value

Definition at line 64 of file p33c_crc.h.

## ◆ value [2/2]

uint16_t value

Definition at line 74 of file p33c_crc.h.

The documentation for this struct was generated from the following file:

- dpsk_boost_vmc.X/sources/common/p33c_pral/p33c_crc.h